function sortedFeatureIndices = sortFeatures(pObjs,pBks,N)

[numBins, numK] = size(pObjs);
delta = 0.001;

L = zeros(numBins,numK);
VR = zeros(numK,1);
for k = 1:numK
    for i = 1:numBins
        L(i,k) = log(max(pObjs(i,k),delta)/max(pBks(i,k),delta));
    end
    VR(k) = getVar(L(:,k),(pObjs(:,k)+pBks(:,k))/2)/(getVar(L(:,k),pObjs(:,k)) + getVar(L(:,k),pBks(:,k)));
end

tempVR = VR;
sortedFeatureIndices = zeros(N,1);
for n = 1:N
    [~, maxInd] = max(tempVR);
    sortedFeatureIndices(n) = maxInd;
    tempVR(maxInd) = -inf;
end

end


function varLa = getVar(L,a)
    varLa = sum(a.*L.^2) - (sum(a.*L))^2;
end
