function wImg = weightImage(It1, rectext, pObjs, pBks, k)

delta = 0.001;

[numBins, ~] = size(pObjs);
L = zeros(numBins);
for i = 1:numBins
    L(i) = log(max(pObjs(i,k),delta)/max(pBks(i,k),delta));
end

features = seedFeatures(It1, rectext, k);

featuresBins = floor(features/255*numBins) + 1;
featuresBins(featuresBins>numBins) = numBins;

% [numRows, numCols] = size(featuresBins);
% wImg = zeros(numRows,numCols);
% for i = 1:numRows
%     for j = 1:numCols
%         wImg(i,j) = L(featuresBins(i,j));
%     end
% end

wImg = L(featuresBins);